Add field
POST
/api/v1/tables/{tableId}/fields
const url = 'https://api.cloudtable.insurge.io/api/v1/tables/example/fields';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"example","config":{"additionalProperty":"example"},"position":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloudtable.insurge.io/api/v1/tables/example/fields \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "name": "example", "type": "example", "config": { "additionalProperty": "example" }, "position": 1 }'Create a column. type is one of the field types (text, number, single_select, …); link/button not supported via API.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tableId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
string
type
required
string
config
object
key
additional properties
position
number
Examplegenerated
{ "name": "example", "type": "example", "config": { "additionalProperty": "example" }, "position": 1}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
string
name
required
string
type
required
string
Examplegenerated
{ "id": "example", "name": "example", "type": "example"}Bad input
Unauthorized
Not found